This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1003638 - grey BG instead of selected BG
grey BG instead of selected BG
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: clearlooks-phenix-theme (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 10:27 EDT by Gene Czarcinski
Modified: 2015-02-17 12:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:01:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix bg when nautilus managing the desktop (662 bytes, patch)
2013-09-04 14:24 EDT, Gene Czarcinski
no flags Details | Diff

  None (edit)
Description Gene Czarcinski 2013-09-02 10:27:04 EDT
Description of problem:
With the file manager (nautilus) handling the desktop on (org.gnome.desktop.background.show-desktop-icons is enabled) and this theme is selected for the Gtk+ theme, then the background is grey.  If the file manager is NOT handling the desktop, then the selected background is correctly displayed.

Note:  This is NOT the only theme with this problem.  So far as I cn tell, only the Adwaita, Zukitwo, and Zukiwi gtk3 themes do not have the problem.

Version-Release number of selected component (if applicable):
Fedora 19, gnome 3

How reproducible:
Everytime

Steps to Reproduce:
1.
2.
3.

Actual results:
correct background displayed only if file manager not handling the desktop.

Expected results:
correct background displayed

Additional info:
Comment 1 Gene Czarcinski 2013-09-04 14:24:59 EDT
Created attachment 793783 [details]
fix bg when nautilus managing the desktop

This patch does fix the problem which causes a grey background instead of the selected background when nautilus is managing the desktop..  I do not know is the is the "right" fix or if it has any undesirable side effects.  However, it may point someone more expert to the correct solution.  Obviously something changed between Fedora 18 and Fedora 19 in how inherit was handled.

This patch was "developed" by borrowing some code from greybird (which was working) and has been fitted to a couple of themes which had * { .. } specified.
Comment 2 Gene Czarcinski 2013-09-05 10:46:40 EDT
Apparently the rules changed.  The Adwaita theme was updated some time ago so it does not have the problem:

The themes probably needed to be updated because there was some change on the
gtk+ side. What makes me believe so are these changes which were made to
Adwaita (months before nautilus desktop changed):
https://git.gnome.org/browse/gnome-themes-standard/commit/?id=0019a41584317e73cdd3e3c06c8b2f0ce1978a21
https://git.gnome.org/browse/gnome-themes-standard/commit/?id=127d02f515dc5daa4e0af967c85030415dbf95e6

I would have thought that this interface change would have gotten more publicity.
Comment 3 Fedora End Of Life 2015-01-09 14:41:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:01:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.